commit: 9e614e5044fea76343f658888ef6ac3ce02f04f3
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 2 05:07:27 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Sep 2 05:26:33 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e614e50
dev-python/executing: Bump to 2.2.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/executing/Manifest | 1 +
dev-python/executing/executing-2.2.1.ebuild | 67 +++++++++++++++++++++++++++++
2 files changed, 68 insertions(+)
diff --git a/dev-python/executing/Manifest b/dev-python/executing/Manifest
index d8f41c63d5b8..b97f49890a72 100644
--- a/dev-python/executing/Manifest
+++ b/dev-python/executing/Manifest
@@ -1 +1,2 @@
DIST executing-2.2.0.gh.tar.gz 981774 BLAKE2B
81fb081f3835b8d389ac90fd91db769d0e7171e99b05a3e7ba0edb2910fed0fcd26ff24c6b84bece138de93166571df09c85d47eeec816806c47b816d7b12b96
SHA512
e8f6a399e57519149a15ae84c1d4a01c7cd6fdb81415939ef66f19a4abd9bf2ddbb156a9f59e95328a26504b8f8775a48e8da44af2027dd4763071b1997b8b84
+DIST executing-2.2.1.gh.tar.gz 1135347 BLAKE2B
532d3b8a1801227436e7fd9460732c735b51b1e5841f43090ba56e91d9a5ba8c248bcafbc4ae9f1c6c49ee262d67748f7350364efa9830089f366e07a269bb65
SHA512
59d2ad7cf36279dd36df36355ad3252d32df21a4732fece8f1975be142604ee4646bee2a1fb52ff8ae4f3b155b34334dc92d5a05240cb5be169913e065d2fb23
diff --git a/dev-python/executing/executing-2.2.1.ebuild
b/dev-python/executing/executing-2.2.1.ebuild
new file mode 100644
index 000000000000..2b815e72bbd4
--- /dev/null
+++ b/dev-python/executing/executing-2.2.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_TESTED=( python3_{11..14} )
+# pypy3.11: https://github.com/alexmojaki/executing/issues/92
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" pypy3_11 )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Get information about what a Python frame is currently doing"
+HOMEPAGE="
+ https://github.com/alexmojaki/executing/
+ https://pypi.org/project/executing/
+"
+SRC_URI="
+ https://github.com/alexmojaki/executing/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390
~sparc ~x86 ~arm64-macos ~x64-macos"
+
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/asttokens-2.1.0[${PYTHON_USEDEP}]
+ dev-python/littleutils[${PYTHON_USEDEP}]
+ dev-python/rich[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+
"tests/test_main.py::test_small_samples[22bc344a43584c051d8962116e8fd149d72e7e68bcb54caf201ee6e78986b167.py]"
+
"tests/test_main.py::test_small_samples[46597f8f896f11c5d7f432236344cc7e5645c2a39836eb6abdd2437c0422f0f4.py]"
+ )
+ ;;
+ esac
+ if ! has_version "dev-python/ipython[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_ipython.py
+ )
+ fi
+
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "getting node's source code" dev-python/asttokens
+}